### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.session

# Class SessionServiceInitializer

java.lang.Object
com.sas.services.session.SessionServiceInitializer

All Implemented Interfaces:
  `DocumentServiceConfigAdapterInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public class SessionServiceInitializer extends Object implements DocumentServiceConfigAdapterInterface
Utility used to parse a Session Service XML document to create a `configuration`. The XML document must conform to the service's XML schema

Since:
  1.0
See Also:
  - `SessionServiceInitObject`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `XML_ATTRIBUTE_TIMEOUT`
  `static final String`
  `XML_ATTRIBUTE_USER_CONTEXT`
  `SessionService` element attribute "userContextName" that may optionally specify the name of the user context.
  `static final String`
  `XML_ELEMENT_SESSION_SERVICE`
  `SessionService` root XML element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractServiceComponentConfig`
  `createConfigFromDocument(Document document)`
  Converts an XML document to a service configuration.
  `static final SessionServiceInitObject`
  `parse(Document document)`
  Gets an instance of the SessionServiceInitObject using the specified configuration data found in the XML formatted deployment configuration file.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### XML_ELEMENT_SESSION_SERVICE

    public static final String XML_ELEMENT_SESSION_SERVICE
    `SessionService` root XML element.
    See Also:
      - Constant Field Values

  - ### XML_ATTRIBUTE_USER_CONTEXT

    public static final String XML_ATTRIBUTE_USER_CONTEXT
    `SessionService` element attribute "userContextName" that may optionally specify the name of the user context.
    See Also:
      - Constant Field Values

  - ### XML_ATTRIBUTE_TIMEOUT

    public static final String XML_ATTRIBUTE_TIMEOUT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### createConfigFromDocument

    public AbstractServiceComponentConfig createConfigFromDocument(Document document) throws ServiceException
    Converts an XML document to a service configuration.
    Specified by:
      `createConfigFromDocument` in interface `DocumentServiceConfigAdapterInterface`
    Parameters:
      `document` - XML document that represents a service configuration.
    Returns:
      Session service `configuration`.
    Throws:
      `ServiceException` - if unable to adapt the XML document to a service configuration.

  - ### parse

    public static final SessionServiceInitObject parse(Document document) throws ServiceConfigurationException
    Gets an instance of the SessionServiceInitObject using the specified configuration data found in the XML formatted deployment configuration file.
    Parameters:
      `document` - XML document that describes a Session Service configuration.
    Returns:
      `Object` The initialized object.
    Throws:
      `ServiceConfigurationException` - if unable to obtain a session service initialization object.